import { TPrimitive } from '@flatfile/hooks';
import { FlatfileListener } from '@flatfile/listener';
export declare function autocast(sheetSlug: string, fieldFilters?: string[], options?: {
    chunkSize?: number;
    parallel?: number;
    debug?: boolean;
}): (listener: FlatfileListener) => void;
export declare function castNumber(value: TPrimitive): TPrimitive;
export declare const TRUTHY_VALUES: (string | number)[];
export declare const FALSY_VALUES: (string | number)[];
export declare function castBoolean(value: TPrimitive): TPrimitive;
export declare function castDate(value: TPrimitive): TPrimitive;
